package com.belkast.soap;

import java.io.Console;
import java.util.*;

public class credentialsProcessor {
    public static String getCredential(String thisPrompt, String regexPattern, boolean isSecret) {
        String thisValue;
        String thisPatten = (regexPattern == null) ? "^.+$" : regexPattern;

        if (isSecret)
        {
            Console console = System.console();
            char[] charValue = console.readPassword(thisPrompt +  " [ " + thisPatten + " ] : ");
            thisValue = String.copyValueOf(charValue).trim();
            boolean isValid = thisValue.matches(thisPatten);

            while (!isValid)
            {
                charValue = console.readPassword(thisPrompt +  " [ " + thisPatten + " ] : ");
                thisValue = String.copyValueOf(charValue).trim();
                isValid = thisValue.matches(thisPatten);
            }
            thisValue = String.copyValueOf(charValue);
        }
        else
        {
            Scanner myObj = new Scanner(System.in);
            System.out.print(thisPrompt +  " [ " + thisPatten + " ] : ");
            thisValue = myObj.nextLine().trim();
            boolean isValid = thisValue.matches(thisPatten);

            while (!isValid)
            {
                System.out.print(thisPrompt +  " [ " + thisPatten + " ] : ");;
                thisValue = myObj.nextLine().trim();
                isValid = thisValue.matches(thisPatten);
            }
        }

        return thisValue;

    }
}