package com.belkast.soap;

import com.beust.jcommander.Parameter;

public class jCommanderArgs
{
    @Parameter(names = "--props" , description = "Location of the properties file", validateWith = jCommanderVerifyFile.class)
    public String props;

    @Parameter(names = "--key", description = "Encryption key (must be 16 characters)", password = true, validateWith = jCommanderVerifyKey.class)
    public String key;

    @Parameter(names = "--encrypt", description = "Value to encrypt using the encryption key")
    public String encrypt;

    @Parameter(names = "--debug", description = "Display debug information on the screen (no value required)")
    public boolean debug = false;
}
